# $Revision: 1.16 $, $Date: 2009/04/01 16:37:28 $
%bcond_without	javadoc		# don't build javadoc

%if "%{pld_release}" == "ti"
%bcond_without java_sun        # build with gcj
%else
%bcond_with    java_sun        # build with java-sun
%endif

%include        /usr/lib/rpm/macros.java

%define         srcname         oro
Summary:	Full regular expressions API
Summary(pl.UTF-8):	Pełne API do wyrażeń regularnych
Name:		java-oro
Version:	2.0.8
Release:	4
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/jakarta/oro/jakarta-oro-%{version}.zip
# Source0-md5:	af58ac4811ee023b6211446eb7b7fff2
Patch0:		jakarta-oro-buildfix.patch
URL:		http://jakarta.apache.org/oro/
BuildRequires:	ant >= 1.5
%{!?with_java_sun:BuildRequires:        java-gcj-compat-devel}
%{?with_java_sun:BuildRequires: java-sun}
BuildRequires:	jpackage-utils
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	rpmbuild(macros) >= 1.300
Provides:	jakarta-oro
Obsoletes:	jakarta-oro
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Jakarta-ORO Java classes are a set of text-processing Java classes
that provide Perl5 compatible regular expressions, AWK-like regular
expressions, glob expressions, and utility classes for performing
substitutions, splits, filtering filenames, etc. This library is the
successor to the OROMatcher, AwkTools, PerlTools, and TextTools
libraries from ORO, Inc. (http://www.oroinc.com/). They have been
donated to the Jakarta Project by Daniel Savarese
(http://www.savarese.org/), the copyright holder of the ORO libraries.
Daniel will continue to participate in their development under the
Jakarta Project.

%description -l pl.UTF-8
Klasy Javy Jakarta-ORO to zestaw klas do przetwarzania tekstu
udostępniający wyrażenia regularne zgodne z Perlem 5, awkowe wyrażenia
regularne, wyrażenia glob oraz klasy narzędziowe do wykonywania
podstawień, podziałów, filtrowania nazw plików itp. Ta biblioteka jest
następcą bibliotek OROMatcher, AwkTools, PerlTools i TextTools firmy
ORO Inc. (http://www.oroinc.com/). Zostały podarowane projektowi
Jakarta przez Daniela Savarese (http://www.savarese.org/), właściciela
praw autorskich do bibliotek ORO. Daniel będzie nadal udzielał się
przy rozwoju tych bibliotek w projekcie Jakarta.

%package javadoc
Summary:	Jakarta-ORO API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki Jakarta-ORO
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-oro-javadoc

%description javadoc
Jakarta-ORO API documentation.

%description javadoc -l pl.UTF-8
Dokumentacja API biblioteki Jakarta-ORO.

%prep
%setup -q -n jakarta-oro-%{version}
%patch0 -p1

%build
unset CLASSPATH || :

%ant clean
%ant -Dfinal.name=oro jar %{?with_javadoc:javadocs}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_javadir},%{_javadocdir}/%{srcname}-%{version}}

cp oro.jar $RPM_BUILD_ROOT%{_javadir}/oro-%{version}.jar
ln -sf oro-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/oro.jar

cp -R docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%doc COMPILE ISSUES README TODO CHANGES CONTRIBUTORS LICENSE STYLE
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-oro.spec,v $
Revision 1.16  2009/04/01 16:37:28  pawelz
- O/P old name
- rel 4

Revision 1.15  2009/04/01 16:33:34  pawelz
- fixed Source0, Patch0 and setup -n.
- builds now

Revision 1.14  2009/04/01 16:20:01  pawelz
- renamed from jakarta-oro
- include java rpm macros
- jdk bconds

Revision 1.13  2009/03/30 05:41:12  pawelz
- G: Libraries/Java

Revision 1.12  2009/02/12 17:37:00  pawelz
- rel 3

Revision 1.11  2009/02/12 17:36:21  pawelz
- killed EA
- use java-gcj-compat-devel (gjdoc needs Patch0)
- unified

Revision 1.10  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.8  2006/12/08 01:10:06  glen
- -javadoc R: jpackage-utils for parent dirs; rel 2

Revision 1.7  2006/05/25 12:30:11  jajcus
- BR: jdk, jpackage-utils, rpmbuild(macros) >= 1.300
- ExclusiveArch
- API docs moved to %{_javadocdir} in a javadoc subpackage
- sanitize CLASSPATH and JAVA_HOME
- versioned jar

Revision 1.6  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.5  2004/04/12 19:46:28  mkierus
- updated to 2.0.8

Revision 1.4  2003/11/11 01:42:28  ankry
- caps unification, other cosmetics

Revision 1.3  2003/08/11 22:46:31  ankry
- cosmetics

Revision 1.2  2003/07/03 22:28:22  qboosh
- pl, R: jre

Revision 1.1  2003/07/02 11:59:27  pascalek
- initial release
